valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
34 lines (33 loc) • 1.13 kB
TypeScript
import { z } from 'zod';
export declare const accountAliasEndpoint: {
readonly name: "Account Alias";
readonly description: "Gets the player username and tagline";
readonly category: "Local Endpoints";
readonly type: "local";
readonly suffix: "player-account/aliases/v1/active";
readonly riotRequirements: {
readonly localAuth: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
active: z.ZodBoolean;
created_datetime: z.ZodEffects<z.ZodNumber, Date, number>;
game_name: z.ZodString;
summoner: z.ZodBoolean;
tag_line: z.ZodString;
}, "strip", z.ZodTypeAny, {
game_name: string;
tag_line: string;
active: boolean;
created_datetime: Date;
summoner: boolean;
}, {
game_name: string;
tag_line: string;
active: boolean;
created_datetime: number;
summoner: boolean;
}>;
};
};
export type AccountAliasResponse = z.input<typeof accountAliasEndpoint.responses['200']>;